Subject: Re: bug#74805: 30.0.92; Trying to build scratch/igc on Cygwin

From: Pip Cet <[email-masked]>
Date: Mon, 27 Jan 2025 18:00:22 +0000

Pip Cet <[email-masked]> writes:

> The most unusual thing seems to be that pageSize / ArenaGrainSize is so
> large (64 KB).  Maybe that simply means that TEST_ARENA_SIZE needs to be
> increased?

Changing ARENA_CLIENT_GRAIN_SIZE to 65536 makes the test fail here, too,
also when the counter reaches 2730 tracts per page in the page table.

Changing

#define TEST_ARENA_SIZE              ((Size)16<<22)

to

#define TEST_ARENA_SIZE              ((Size)16<<25)

fixes it again.  My best guess is that

#define TEST_ARENA_SIZE (ARENA_CLIENT_GRAIN_SIZE << 13)

would make the arena large enough not to fail the test on all systems.

If you can confirm, we should open an issue for this in the MPS
repository (still at GitHub, I assume).  If tehre isn't one already :-)

Pip